<template>
  <div>
    <header-slot>
      <h1>Додати до каталогу</h1>
      <form class="form">
        <label for="type">Type: </label>
        <input id="type" type="text" v-model="product.type" required>
        <br /> <br />
        <label for="brand">Brand: </label>
        <input id="brand" type="text" v-model="product.brand" required>
        <br /> <br />
        <label for="model">Model: </label>
        <input id="model" type="text" v-model="product.model" required>
        <br /> <br />
        <label for="color">Color: </label>
        <input id="color" type="text" v-model="product.color" required>
        <br /> <br />
        <label for="price">Price: </label>
        <input id="price" type="number" v-model="product.price" required>
        <br /> <br />
        <label for="memory">Memory: </label>
        <input id="memory" type="text" v-model="product.memory" required>
        <br /> <br />
        <label for="ram">RAM: </label>
        <input id="ram" type="text" v-model="product.ram" required>
        <br /> <br />
        <label for="processor">Processor: </label>
        <input id="processor" type="text" v-model="product.processor" required>
        <br /> <br />
        <label for="videoCard">Video card: </label>
        <input id="videoCard" type="text" v-model="product.videoCard" required>
        <br /> <br />
        <label for="display">Display: </label>
        <input id="display" type="text" v-model="product.display" required>
        <br /> <br />
        <label for="weight">Weight: </label>
        <input id="weight" type="text" v-model="product.weight" required>
        <br /> <br />
        <label for="img">Img: </label>
        <input id="img" type="text" v-model="product.img" required>
        <br /> <br />
        <button @click="addProduct()">Додати продукт</button>
      </form>
    </header-slot>
  </div>
</template>

<script>
import { mapActions } from "vuex";
import HeaderSlot from "@/components/HeaderSlot.vue";

export default {
  name: 'AddPage',

  data() {
    return {
      product: {
        type: '',
        brand: '',
        model: '',
        color: '',
        price: 0,
        memory: 0,
        ram: 0,
        processor: '',
        videoCard: '',
        display: '',
        weight: '',
        img: '',
      }
    }
  },

  components: {
    HeaderSlot,
  },

  methods: {
    ...mapActions('laptops', ['addItem', 'loadList']),

    addProduct() {
      const product = JSON.parse(JSON.stringify(this.product));

      this.addItem(product);

      alert('Продукт додано')

      this.$router.push('/catalog');
    }
  },

  async created() {
    await this.loadList();
  }
}
</script>

<style lang="css" scoped>
.form input{
  border-radius: 3px;
}
.form button{
  padding: 10px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
  transition: background-color 0.2s;
}

.form button:hover {
  background-color: crimson;
  color: #fff;
}
</style>